ONVIF::Media::Elements::GetGuaranteedNumberOfVideoEncoderInstancesResponse(3)

NAME
ONVIF::Media::Elements::GetGuaranteedNumberOfVideoEncoderInstancesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetGuaranteedNumberOfVideoEncoderInstancesResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TotalNumber

     $element->set_TotalNumber($data);
     $element->get_TotalNumber();

•   JPEG

     $element->set_JPEG($data);
     $element->get_JPEG();

•   H264

     $element->set_H264($data);
     $element->get_H264();

•   MPEG4

     $element->set_MPEG4($data);
     $element->get_MPEG4();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetGuaranteedNumberOfVideoEncoderInstancesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   TotalNumber =>  $some_value, # int
   JPEG =>  $some_value, # int
   H264 =>  $some_value, # int
   MPEG4 =>  $some_value, # int
 },

AUTHOR
Generated by SOAP::WSDL